-- Barrel Extension Add Contour
Hooks:PreHook( SentryGunContour, "_set_contour", "OldBriefcaseSentry_AddContour", function( self, contour_id )
	if self._unit:weapon():barrel_extension() then
		local contour = self._unit:weapon():barrel_extension():contour()

		if contour then
			if self._current_contour_id then
				contour:remove(self._current_contour_id)
			end

			contour:add(contour_id)
		end
	end
end)

-- Barrel Extension Remove Contour
Hooks:PreHook( SentryGunContour, "_remove_contour", "OldBriefcaseSentry_RemoveContour", function( self )
	if self._unit:weapon():barrel_extension() then
		local contour = self._unit:weapon():barrel_extension():contour()

		if contour then
			contour:remove(self._current_contour_id)
		end
	end
end)